Partially Update an Assessment Line Item
curl --request PATCH \
--url https://api.alpha-1edtech.ai/ims/oneroster/gradebook/v1p2/assessmentLineItems/{sourcedId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assessmentLineItem": {
"metadata": {},
"title": "<string>",
"description": "<string>",
"class": {
"sourcedId": "<string>"
},
"parentAssessmentLineItem": {
"sourcedId": "<string>"
},
"scoreScale": {
"sourcedId": "<string>"
},
"resultValueMin": 123,
"resultValueMax": 123,
"component": {
"sourcedId": "<string>"
},
"componentResource": {
"sourcedId": "<string>"
},
"learningObjectiveSet": [
{
"source": "<string>",
"learningObjectiveIds": [
"<string>"
]
}
],
"course": {
"sourcedId": "<string>"
}
}
}
'import requests
url = "https://api.alpha-1edtech.ai/ims/oneroster/gradebook/v1p2/assessmentLineItems/{sourcedId}"
payload = { "assessmentLineItem": {
"metadata": {},
"title": "<string>",
"description": "<string>",
"class": { "sourcedId": "<string>" },
"parentAssessmentLineItem": { "sourcedId": "<string>" },
"scoreScale": { "sourcedId": "<string>" },
"resultValueMin": 123,
"resultValueMax": 123,
"component": { "sourcedId": "<string>" },
"componentResource": { "sourcedId": "<string>" },
"learningObjectiveSet": [
{
"source": "<string>",
"learningObjectiveIds": ["<string>"]
}
],
"course": { "sourcedId": "<string>" }
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
assessmentLineItem: {
metadata: {},
title: '<string>',
description: '<string>',
class: {sourcedId: '<string>'},
parentAssessmentLineItem: {sourcedId: '<string>'},
scoreScale: {sourcedId: '<string>'},
resultValueMin: 123,
resultValueMax: 123,
component: {sourcedId: '<string>'},
componentResource: {sourcedId: '<string>'},
learningObjectiveSet: [{source: '<string>', learningObjectiveIds: ['<string>']}],
course: {sourcedId: '<string>'}
}
})
};
fetch('https://api.alpha-1edtech.ai/ims/oneroster/gradebook/v1p2/assessmentLineItems/{sourcedId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "invaliddata"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "unauthorisedrequest"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "forbidden"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "unknownobject"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "invaliddata"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "server_busy"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "internal_server_error"
}
]
},
"imsx_error_details": [
{}
]
}Assessment Line Items Management
Partially Update an Assessment Line Item
To partially update an existing Assessment Line Item with metadata merging support.
PATCH
/
ims
/
oneroster
/
gradebook
/
v1p2
/
assessmentLineItems
/
{sourcedId}
Partially Update an Assessment Line Item
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The sourcedId of the assessment line item to update
Body
application/json
Show child attributes
Show child attributes
Response
Successfully updated
The response is of type object.
⌘I